# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012-2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               xpra
Version:            0.9.4
Release:            4.1
Summary:            Screen for X
Source:             http://xpra.org/src/xpra-%{version}.tar.bz2
Patch0:             xpra-0.9.4.patch
URL:                http://xpra.org/
Group:              System/X11/Utilities
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      python-devel
BuildRequires:      python-Twisted
Requires:           python-Twisted
BuildRequires:      python-Cython >= 0.16
%if 0%{?suse_version} >= 1210 || 0%{suse_version} < 1140
BuildRequires:      python-gobject2-devel
Requires:           python-gobject2
%else
BuildRequires:      python-gobject-devel
Requires:           python-gobject
%endif
BuildRequires:      python-gtk-devel
Requires:           python-gtk
BuildRequires:      libvpx-devel
BuildRequires:      pkgconfig(libavcodec) = 56.60.100
BuildRequires:      pkgconfig(libavutil) = 54.31.100
BuildRequires:      pkgconfig(libswscale) = 3.1.101
BuildRequires:      libx264-devel
BuildRequires:      gtk2-devel
BuildRequires:      xorg-x11-devel
BuildRequires:      gcc make pkgconfig
BuildRequires:      update-desktop-files
%py_requires

%description
Xpra is 'screen for X': it allows you to run X programs, usually on a remote
host, direct their display to your local machine, and then to disconnect from
these programs and reconnect from the same or another machine, without losing
any state. It gives you remote access to individual applications.

Xpra is "rootless" or "seamless": programs you run under it show up on your
desktop as regular programs, managed by your regular window manager.

Sessions can be accessed over SSH, or password protected over plain TCP sockets.
Xpra is usable over reasonably slow links and does its best to adapt to
changing network bandwidth limits. (see also adaptive JPEG mode)

Xpra is open-source (GPLv2+), multi-platform and multi-language, with current
clients written in Python and Java. 

%prep
%setup -q
%patch0 -p1

%build
%__rm -rf build install
%__python make_constants_pxi.py wimpiggy/lowlevel/constants.{txt,pxi}

%__python ./setup.py build

%install
%__python ./setup.py install \
    --root="%{buildroot}" \
    --prefix="%{_prefix}" \
    --record-rpm=files.lst

%__perl -n -i -e 'print unless m,\Q%{_mandir}\E,' files.lst

%__perl -n -i -e 'print unless m,\Q%{_sysconfdir}\E,' files.lst

%__perl -n -i -e 'print unless m,^(%dir\s+)?%{_datadir}/(applications|icons)/*$,' files.lst

%__rm -rf "%{buildroot}%{_datadir}/icons/xpra.png"
%__perl -n -i -e 'print unless m,\Q%{_datadir}/icons/xpra.png\E,' files.lst

%__install -D -m0644 xpra.png "%{buildroot}%{_datadir}/icons/hicolor/64x64/apps/xpra.png"
%suse_update_desktop_file -r xpra_launcher Network RemoteAccess

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f files.lst
%defattr(-,root,root)
%doc COPYING NEWS README*
%dir %{_sysconfdir}/xpra
%config %{_sysconfdir}/xpra/xorg.conf
%config(noreplace) %{_sysconfdir}/xpra/xpra.conf
%{_datadir}/icons/*/*/apps/xpra.*
%doc %{_mandir}/man1/parti.1*
%doc %{_mandir}/man1/xpra.1*
%doc %{_mandir}/man1/xpra_launcher.1*

%changelog
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Wed Nov 12 2014 olaf@aepfle.de
- avoid republish after rebuild of unchanged sources
* Thu May 30 2013 pascal.bleser@opensuse.org
- update to 0.9.4
* Tue Apr 24 2012 pascal.bleser@opensuse.org
- initial version (0.2.0)
